package com.cloudcross.ssp.service;



import java.util.List;
import java.util.Map;

import com.cloudcross.ssp.model.CodeConvert;
import com.cloudcross.ssp.base.service.IGenericService;
import com.cloudcross.ssp.common.utils.Pager;



/**
 * 用户服务接口定义。
 * 
 * @author heng
 */
public interface ICodeConvertService extends IGenericService<CodeConvert> {
	CodeConvert findByName(String convertName);

	public String getCode(Long id,int type);
	public int countByParamsOperator(Map<String, Object> paramMap);
	public List<CodeConvert> findByParamsOperator(Map<String, Object> paramMap, Pager pager);
}